VERSION 5.00
Begin VB.Form SelectPeaks 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Select Peaks"
   ClientHeight    =   2715
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4125
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   NegotiateMenus  =   0   'False
   ScaleHeight     =   2715
   ScaleWidth      =   4125
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cManual 
      Caption         =   "Manual"
      Height          =   375
      Left            =   1440
      TabIndex        =   12
      Top             =   2160
      Width           =   1215
   End
   Begin VB.CommandButton cAuto 
      Caption         =   "Auto"
      Height          =   375
      Left            =   2760
      TabIndex        =   4
      Top             =   2160
      Width           =   1215
   End
   Begin VB.CommandButton cCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   2160
      Width           =   1215
   End
   Begin VB.CheckBox cpCheck 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   1
      Left            =   840
      TabIndex        =   2
      Top             =   1560
      Width           =   255
   End
   Begin VB.Label cpNum 
      Alignment       =   1  'Right Justify
      Caption         =   "1"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   11
      Top             =   1560
      Width           =   255
   End
   Begin VB.Line Line1 
      X1              =   240
      X2              =   3840
      Y1              =   480
      Y2              =   480
   End
   Begin VB.Label cpEst 
      Alignment       =   1  'Right Justify
      Height          =   255
      Index           =   1
      Left            =   2880
      TabIndex        =   10
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label cpPD 
      Alignment       =   1  'Right Justify
      Height          =   255
      Index           =   1
      Left            =   2040
      TabIndex        =   9
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label cpAge 
      Alignment       =   1  'Right Justify
      Height          =   255
      Index           =   1
      Left            =   1200
      TabIndex        =   8
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label Label4 
      Alignment       =   1  'Right Justify
      Caption         =   "Est.N"
      Height          =   255
      Left            =   2880
      TabIndex        =   7
      Top             =   1200
      Width           =   735
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "PD"
      Height          =   255
      Left            =   2040
      TabIndex        =   6
      Top             =   1200
      Width           =   735
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Age"
      Height          =   255
      Left            =   1200
      TabIndex        =   5
      Top             =   1200
      Width           =   735
   End
   Begin VB.Label cPollAge 
      Alignment       =   2  'Center
      Caption         =   "Label2"
      Height          =   255
      Left            =   720
      TabIndex        =   1
      Top             =   720
      Width           =   2775
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Initial Peaks for Automatic calculation"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   120
      Width           =   4095
   End
End
Attribute VB_Name = "SelectPeaks"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Function setPeaks() As Integer
  Dim i As Integer
  Dim n As Integer

  n = 0
  ReDim Ipeaks(0 To pNum)
  For i = 1 To pNum
    pPeaks(i, 0) = cpCheck(i)
    If cpCheck(i) Then
      n = n + 1
      Ipeaks(n) = pPeaks(i, 1)
    End If
  Next i
  Inum = n
  setPeaks = n
End Function

Private Sub cAuto_Click()
  If setPeaks() > 0 Then isAuto = 1 Else isAuto = 0
  Unload Me
End Sub

Private Sub cManual_Click()
  If setPeaks() > 0 Then
    isAuto = 2
    If Inum > maxPeaks Then Inum = maxPeaks
  Else
    isAuto = 0
  End If
  Unload Me
End Sub

Private Sub cCancel_Click()
  isAuto = 0
  Unload Me
End Sub

Private Sub Form_Load()
  Dim i As Integer
  Dim y As Integer, dy As Integer

  Me.Tag = Me.Height - cpAge(1).Top
  cCancel.Tag = cCancel.Top - cpAge(1).Top
  cManual.Tag = cManual.Top - cpAge(1).Top
  cAuto.Tag = cAuto.Top - cpAge(1).Top
  isAuto = -1
  cPollAge = "Pooled age =" + Str(Round(pPeaks(0, 1), 2)) + " Ma"
  y = cpAge(1).Top
  dy = cpAge(1).Height * 1.2
  For i = 1 To pNum
    If i > 1 Then
      Load cpNum(i): cpNum(i).Top = y: cpNum(i).Visible = True
      Load cpCheck(i): cpCheck(i).Top = y: cpCheck(i).Visible = True
      Load cpAge(i): cpAge(i).Top = y: cpAge(i).Visible = True
      Load cpPD(i): cpPD(i).Top = y: cpPD(i).Visible = True
      Load cpEst(i): cpEst(i).Top = y: cpEst(i).Visible = True
    End If
    cpNum(i) = i
    cpCheck(i) = CInt(pPeaks(i, 0))
    cpAge(i).Caption = nFormat(pPeaks(i, 1), 2, 7)
    cpPD(i).Caption = nFormat(pPeaks(i, 2), 2, 7)
    cpEst(i).Caption = nFormat(pPeaks(i, 3), 2, 7)
    y = y + dy
  Next i
  cCancel.Top = cpAge(pNum).Top + cCancel.Tag
  cManual.Top = cpAge(pNum).Top + cManual.Tag
  cAuto.Top = cpAge(pNum).Top + cAuto.Tag
  Me.Height = Me.Tag + cpAge(pNum).Top
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Dim i As Integer
  Me.MousePointer = 11
  Me.Visible = False
  For i = 2 To pNum
    Unload cpNum(i)
    Unload cpCheck(i)
    Unload cpAge(i)
    Unload cpPD(i)
    Unload cpEst(i)
  Next i
  cManual.Top = cpAge(1).Top + cManual.Tag
  cAuto.Top = cpAge(1).Top + cAuto.Tag
  Me.Height = Me.Tag + cpAge(1).Top
End Sub

