Attribute VB_Name = "autoCalculate"
Option Explicit

Public pkAutoCalc As Integer
Private nCalc As Integer         'needed
Private bestCount As Integer
Private nBest As Integer         'needed
Private best As peaksType      'needed
Private PPnum As Integer
Private PP() As Single

Public Sub autoCalc()             'autoCalc
  Dim i As Integer
  Dim peakTitle As String

  peakTitle = "         Age       PD    Est.N"
  If Num > 0 Then
    pkAutoCalc = 0
    nCalc = 0
    toLogLine "# Automatic Calculation"
    PPnum = pNum
    ReDim PP(1 To PPnum)
    For i = 1 To PPnum
      PP(i) = pPeaks(i, 1)
    Next i
    PFcalc
    pkAutoCalc = PkNum
    If Round(peaks(PkNum).pF) > 5 Then
      PkNum = PkNum - 1
      toLogLine "       recalculate the best combination:"
      calc PkNum
      toLogLine getResult(PkNum, "     ")
    End If
    toBest PkNum
    sortBest
    fromBest PkNum
    calc PkNum
    toLogLine ""
  End If
End Sub

Private Sub PFcalc()
  Dim i As Integer, n As Integer, np As Integer
  Dim title As String
  Dim dp As Single, dd As Single
  Dim X2 As Single
  title = ". Init.Age  Calc.Age    DF       X^2     rX^2         F   P(F)       BIC"
  addPeak 1, pPeaks(0, 1)
  calc 1
  toLogLine "  1" + title
  toLogLine getResult(1, "     ")

  dp = Abs(PP(1) - pPeaks(0, 1))
  n = 1
  For i = 2 To PPnum
    dd = Abs((PP(i) - pPeaks(0, 1)))
    If dd < dp Then
      n = i
      dp = dd
    End If
  Next i
  PPnum = delPeak(n)
  nCalc = 1
  
  np = PPnum + 1
  For n = 2 To np
    toLogLine nFormat(n, 0, 3) + title
    X2 = 999999999
    nBest = 0
    For i = 1 To PPnum
      nCalc = nCalc + 1
      binom.StatusBar.Panels(1).Text = "Calculation:" + Str(nCalc)
      addPeak n, PP(i)
      calc n
      toLogLine getResult(n, "     ")
      If peaks(n).X2 < X2 Then
        nBest = i
        X2 = peaks(n).X2
        toBest n
      End If
    Next i
    toLogLine "       # best peak:  " + Format(PP(nBest), "#####0.00")
    PPnum = delPeak(nBest)
    fromBest n
    If Round(peaks(n).pF) > 5 Then
      toLog "  Best peaks found:"
      For i = 1 To PkNum - 1
        toLog nFormat(peaks(n - 1).calc(i), 2, 9)
      Next i
      toLogLine ""
      Exit For
    End If
    toLogLine ""
  Next n

End Sub

Private Sub sortBest()
  Dim i As Integer, k As Integer, j As Integer, n As Integer
  Dim tmp As Single

  toLogLine "# Sort best peaks"
  n = best.count
  k = 1
  Do While k > 0
    k = 0
    For i = 2 To n
      j = i - 1
      If best.init(j) > best.init(i) Then
        k = k + 1
        tmp = best.init(j)
        best.init(j) = best.init(i)
        best.init(i) = tmp
        tmp = best.calc(j)
        best.calc(j) = best.calc(i)
        best.calc(i) = tmp
      End If
    Next i
  Loop
End Sub

Private Function delPeak(n As Integer) As Integer
  Dim i As Integer
  For i = 1 To PPnum
    If i > n Then
      PP(i - 1) = PP(i)
    End If
  Next i
  delPeak = PPnum - 1
End Function

Private Sub addPeak(n As Integer, val As Single)
  Dim i As Integer
  peaks(n).count = n
  For i = 1 To n - 1
    peaks(n).init(i) = peaks(n - 1).init(i)
  Next i
  peaks(n).init(i) = val
End Sub

Private Sub fromBest(n As Integer)
  Dim i As Integer, nn As Integer

'  sortBest
  nn = best.count
  For i = 1 To nn
    peaks(n).init(i) = best.init(i)
    peaks(n).calc(i) = best.calc(i)
  Next i
  peaks(n).count = nn
  peaks(n).DF = best.DF
  peaks(n).X2 = best.X2
  peaks(n).rX2 = best.rX2
  peaks(n).pX2 = best.pX2
  peaks(n).f = best.f
  peaks(n).pF = best.pF
End Sub

Private Sub toBest(n As Integer)
  Dim i As Integer
  For i = 1 To n
    best.init(i) = peaks(n).init(i)
    best.calc(i) = peaks(n).calc(i)
  Next i
  best.count = peaks(n).count
  best.DF = peaks(n).DF
  best.X2 = peaks(n).X2
  best.rX2 = peaks(n).rX2
  best.pX2 = peaks(n).pX2
  best.f = peaks(n).f
  best.pF = peaks(n).pF
End Sub

